This endpoint allows the creation of a new set or list, with its properties and collection of fields.
Pass name, type and groupId as query parameters, and send the field definitions as a JSON array in the request body (with Content-Type: application/json).
Example: POST /api/createSet?name=Coating&type=set&groupId=3 with body [{"label": "Date", "type": "date", "format": "datetime", "required": true}]
Alternatively, send the field definitions as a JSON string in a fields form field, using multipart/form-data or application/x-www-form-urlencoded. name, type and groupId can then also be sent as form fields.
Examples
application/json:
curl -X POST 'https://tenant.alisqi.com/api/createSet?name=Coating&type=set&groupId=3' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '[{"label": "Date", "type": "date", "format": "datetime", "required": true}]'
multipart/form-data:
curl -X POST 'https://tenant.alisqi.com/api/createSet' \
-H 'Authorization: Bearer <token>' \
-F name=Coating -F type=set -F groupId=3 \
-F 'fields=[{"label": "Date", "type": "date", "format": "datetime", "required": true}]'
application/x-www-form-urlencoded:
curl -X POST 'https://tenant.alisqi.com/api/createSet?name=Coating&type=set&groupId=3' \
-H 'Authorization: Bearer <token>' \
--data-urlencode 'fields=[{"label": "Date", "type": "date", "format": "datetime", "required": true}]'
The user group of the user associated with the token is granted all permissions on the new set or list. This operation does not count towards the rate limit.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
